#include <iostream>

using namespace std;

int main(){
	
	int n,k;
	int niz[20000];
	cin>>n>>k;
	int i=0;
	int indeksK;
	for(i;i<n;i++){
		cin>>niz[i];
		if(niz[i]==k)indeksK=i;
	}
	if(indeksK!=n-1)cout<<niz[++indeksK];
	else cout<<niz[0];
	
}